Quantcast

com.android.dex.DexException: Multiple dex files define Lorg/jboss/aerogear/android/core/R$string;

classic Classic list List threaded Threaded
1 message Options
Reply | Threaded
Open this post in threaded view
|  
Report Content as Inappropriate

com.android.dex.DexException: Multiple dex files define Lorg/jboss/aerogear/android/core/R$string;

jeff01
This post has NOT been accepted by the mailing list yet.
Hi, I have struggled for days trying to get aerogear-cordova-push plugin to work. I cannot get "cordova build android" to work in Windows(works in Mac). Here is the error in windows with the same code: :compileDebugSources UP-TO-DATE :transformClassesWithDexForDebug UNEXPECTED TOP-LEVEL EXCEPTION: FAILED com.android.dex.DexException: Multiple dex files define Lorg/jboss/aerogear/android/core/R$string; at com.android.dx.merge.DexMerger.readSortableTypes(DexMerger.java:596) at com.android.dx.merge.DexMerger.getSortedTypes(DexMerger.java:554) at com.android.dx.merge.DexMerger.mergeClassDefs(DexMerger.java:535) at com.android.dx.merge.DexMerger.mergeDexes(DexMerger.java:171) at com.android.dx.merge.DexMerger.merge(DexMerger.java:189) at com.android.dx.command.dexer.Main.mergeLibraryDexBuffers(Main.java:502) at com.android.dx.command.dexer.Main.runMonoDex(Main.java:334) at com.android.dx.command.dexer.Main.run(Main.java:277) at com.android.dx.command.dexer.Main.main(Main.java:245) at com.android.dx.command.Main.main(Main.java:106) I even tweaked in dependencies.gradle under platforms/android/aerogear-cordova-push as follows: dependencies { compile ('com.android.support:appcompat-v7:22.+') { exclude module: 'aerogear-android-core' } compile ('org.jboss.aerogear:aerogear-android-store:3.0.1') { exclude module: 'aerogear-android-security' exclude module: 'aerogear-android-core' } compile ('org.jboss.aerogear:aerogear-android-push:4.0.1') { exclude module: 'aerogear-android-security' exclude module: 'aerogear-android-pipe' exclude module: 'aerogear-android-core' } compile ('org.jboss.aerogear:aerogear-android-pipe:3.0.0') { exclude module: 'support-v4' exclude module: 'aerogear-android-security' exclude module: 'aerogear-android-core' } //compile ('org.jboss.aerogear:aerogear-android-security:3.0.0') { // exclude module: 'aerogear-android-core' //} compile ('org.jboss.aerogear:aerogear-android-core:3.0.0') { exclude module: 'aerogear-android-security' //exclude module: 'aerogear-android-core' } However, I still got the same error. Any suggestions how to fix this error? My goal is trying to get a sample app working with aerogear-cordova-push (FCM). Where can I find the latest, simplest cordova app with aerogear-cordova-push plugin which works with FCM? Thank you in advance.
Loading...